> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Manual Connect

export const manual_connect_name = "ManualConnect";

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Creates a new Manual Connect request to ingest raw credit report tradelines
for an Entity.

Operation Type: <Tooltip tip="Your request is processed immediately, and you'll receive a response before proceeding. Webhooks will be fired in parallel.">⚡ Synchronous</Tooltip>

## Path Parameters

<ParamList
  items={[
{
  name: "ent_id",
  type: "string",
  description: "The ID of the Entity.",
},
]}
/>

## Body

<ParamList
  items={[
{
  name: "bureau",
  type: "enum",
  description: "The credit bureau from which the credit report is sourced.",
  enums: ['equifax', 'transunion'],
},
{
  name: "tradelines",
  type: "object[]",
  description: "An array of raw credit report tradelines.",
  items: [
    {
      name: 'tradelines.type_code',
      type: 'string',
      required: true,
      description: 'The type of account as classified by the credit bureau.',
    },
    {
      name: 'tradelines.portfolio_type_code',
      type: 'string',
      required: true,
      description: 'The portfolio type of the account (e.g., revolving, installment).',
    },
    {
      name: "tradelines.designator_code",
      type: "string",
      required: true,
      description: "The ECOA (Equal Credit Opportunity Act) designator code that indicates the type of ownership for the tradeline.",
    },
    {
      name: 'tradelines.number',
      type: 'string',
      required: true,
      description: 'The account number assigned by the creditor.',
    },
    {
      name: 'tradelines.creditor_name',
      type: 'string',
      required: true,
      description: 'The name of the financial institution or creditor reporting the tradeline.',
    },
    {
      name: 'tradelines.creditor_code',
      type: 'string',
      required: true,
      description: 'The unique code identifying the creditor within the credit bureau system.',
    },
    {
      name: 'tradelines.balance',
      type: 'number',
      required: true,
      description: 'The current balance owed on the account, in cents.',
    },
    {
      name: 'tradelines.highest_balance',
      type: 'number',
      required: true,
      description: 'The highest balance that has been reported on this account, in cents.',
    },
    {
      name: 'tradelines.credit_limit',
      type: 'number',
      required: true,
      description: 'The maximum amount of credit available on the account, in cents.',
    },
    {
      name: 'tradelines.term',
      type: 'number',
      required: true,
      description: 'The duration of the loan or credit agreement, in months.',
    },
    {
      name: 'tradelines.next_payment_minimum_amount',
      type: 'number',
      required: true,
      description: 'The minimum payment amount due for the next billing cycle, in cents.',
    },
    {
      name: 'tradelines.last_payment_amount',
      type: 'number',
      required: true,
      description: 'The amount of the most recent payment made on the account, in cents.',
    },
    {
      name: 'tradelines.payment_history',
      type: 'string[]',
      required: true,
      description: 'A list of payment history which is an array of strings.',
    },
    {
      name: 'tradelines.past_due_amount',
      type: 'number',
      required: true,
      description: 'The amount past due on the account, in cents.',
    },
    {
      name: 'tradelines.delinquency_charge_off_amount',
      type: 'number',
      required: true,
      description: 'The total amount charged off due to delinquency, in cents.',
    },
    {
      name: 'tradelines.opened_at',
      type: 'string',
      required: true,
      description: 'The date when the account was originally opened (YYYY-MM-DD).',
    },
    {
      name: 'tradelines.closed_at',
      type: 'string',
      required: false,
      description: 'The date when the account was closed, if applicable (YYYY-MM-DD).',
    },
    {
      name: 'tradelines.last_activity_date',
      type: 'string',
      required: true,
      description: 'The date of the most recent activity on the account (YYYY-MM-DD).',
    },
    {
      name: 'tradelines.reported_date',
      type: 'string',
      required: true,
      description: 'The date when the account information was last reported to the credit bureau (YYYY-MM-DD).',
    },
    {
      name: 'tradelines.next_payment_due_date',
      type: 'string',
      required: true,
      description: 'The due date for the next scheduled payment (YYYY-MM-DD).',
    },
    {
      name: 'tradelines.last_payment_date',
      type: 'string',
      required: true,
      description: 'The date of the most recent payment on the account (YYYY-MM-DD).',
    },
    {
      name: 'tradelines.delinquency_first_start_date',
      type: 'string',
      required: true,
      description: 'The date when the account first became delinquent (YYYY-MM-DD).',
    },
    {
      name: 'tradelines.narrative_codes',
      type: 'object[]',
      required: true,
      description: 'A list of narrative codes providing additional context or details about the tradeline.',
      items: [
        {
          name: 'code',
          type: 'string',
          required: true,
          description: 'The code representing a specific narrative about the tradeline.',
        },
        {
          name: 'description',
          type: 'string | null',
          required: true,
          description: 'A description of what the narrative code represents.',
        },
      ],
    },
    {
      name: 'tradelines.external_id',
      type: 'string',
      required: false,
      description: (
        <>
          A unique identifier for the tradeline used for external
          reference, and serves as the fingerprint of the tradeline.
          This ID, if provided, will be used to match that same tradeline
          in subsequent {manual_connect_name} requests.
        </>
      ),
    }
  ]
}
]}
/>

## Returns

Returns a {manual_connect_name} object.

<RequestExample>
  ```bash cURL theme={null}
  curl https://production.methodfi.com/entities/ent_qKNBB68bfHGNA/manual_connect \
    -X POST \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
    -H "Content-Type: application/json" \
    -d '{
      "bureau": "transunion",
      "tradelines": [
        {
          "type_code": "18",
          "portfolio_type_code": "revolving",
          "designator_code": "authorizedUser",
          "number": "5555555555555555",
          "creditor_name": "CAPITAL ONE",
          "creditor_code": "01DTV001",
          "balance": 500000,
          "highest_balance": 750000,
          "credit_limit": 1000000,
          "term": null,
          "next_payment_minimum_amount": 15000,
          "last_payment_amount": 20000,
          "payment_history": ["1", "1", "1"],
          "past_due_amount": 0,
          "delinquency_charge_off_amount": 0,
          "opened_at": "2016-11-25",
          "closed_at": "2023-01-01",
          "last_activity_date": "2024-05-01",
          "reported_date": "2024-05-01",
          "next_payment_due_date": "2024-06-01",
          "last_payment_date": "2024-05-01",
          "delinquency_first_start_date": null,
          "narrative_codes": [
            { "code": "FE", "description": "CREDIT CARD" },
            { "code": "AZ", "description": "AMOUNT IN H/C COLUMN IS CREDIT LIMIT" }
          ],
          "external_id": "baf85e5d-4323-4f83-9bfa-cb3c5eae1f18"
        }
      ]
    }'
  ```

  ```javascript Node.js theme={null}
  const response = await method
    .entities("ent_qKNBB68bfHGNA")
    .manualConnect
    .create({
      bureau: 'transunion',
      tradelines: [
        {
          type_code: '18',
          portfolio_type_code: 'revolving',
          designator_code: 'authorizedUser',
          number: '5555555555555555',
          creditor_name: 'CAPITAL ONE',
          creditor_code: '01DTV001',
          balance: 500000,
          highest_balance: 750000,
          credit_limit: 1000000,
          term: null,
          next_payment_minimum_amount: 15000,
          last_payment_amount: 20000,
          payment_history: ['1', '1', '1'],
          past_due_amount: 0,
          delinquency_charge_off_amount: 0,
          opened_at: '2016-11-25',
          closed_at: '2023-01-01',
          last_activity_date: '2024-05-01',
          reported_date: '2024-05-01',
          next_payment_due_date: '2024-06-01',
          last_payment_date: '2024-05-01',
          delinquency_first_start_date: null,
          narrative_codes: [
            { code:"FE", description: "CREDIT CARD" },
            { code:"AZ", description: "AMOUNT IN H/C COLUMN IS CREDIT LIMIT" }
          ],
          external_id: 'baf85e5d-4323-4f83-9bfa-cb3c5eae1f18',
        },
        {...}
      ]
    });
  ```

  ```python Python theme={null}
  response = method
    .entities('ent_qKNBB68bfHGNA')
    .manual_connect
    .create({
      'bureau': 'transunion',
      'tradelines': [
        {
          'type_code': '18',
          'portfolio_type_code': 'revolving',
          'designator_code': 'authorizedUser',
          'number': '5555555555555555',
          'creditor_name': 'CAPITAL ONE',
          'creditor_code': '01DTV001',
          'balance': 500000,
          'highest_balance': 750000,
          'credit_limit': 1000000,
          'term': None,
          'next_payment_minimum_amount': 15000,
          'last_payment_amount': 20000,
          'payment_history': ['1', '1', '1'],
          'past_due_amount': 0,
          'delinquency_charge_off_amount': 0,
          'opened_at': '2016-11-25',
          'closed_at': '2023-01-01',
          'last_activity_date': '2024-05-01',
          'reported_date': '2024-05-01',
          'next_payment_due_date': '2024-06-01',
          'last_payment_date': '2024-05-01',
          'delinquency_first_start_date': None,
          'narrative_codes': [
            { 'code': 'FE', 'description': 'CREDIT CARD' },
            { 'code': 'AZ', 'description': 'AMOUNT IN H/C COLUMN IS CREDIT LIMIT' },
          ],
          'external_id': 'baf85e5d-4323-4f83-9bfa-cb3c5eae1f18'
        },
        {...}
      ]
    })
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "id": "mcxn_4ewMmBbjYDMR4",
    "entity_id": "ent_qKNBB68bfHGNA",
    "status": "completed",
    "accounts": [
      {
        "account_id": "acc_eKKmrXDpJBKgw",
        "external_id": "baf85e5d-4323-4f83-9bfa-cb3c5eae1f18"
      },
      {...}
    ],
    "error": null,
    "created_at": "2024-06-10T14:56:46.645Z",
    "updated_at": "2024-06-10T14:56:46.645Z"
  }
  ```
</ResponseExample>
